# std::experimental::any::clear

From cppreference.com
< cpp‎ | experimental‎ | any

void clear(); |  | (library fundamentals TS)

If not empty, destroys the contained object.

### Parameters

(none)

### Return value

(none)

### Exceptions

`noexcept` specification:
noexcept
Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/experimental/any/clear&oldid=91636"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template